# Class yii\db\conditions\LikeConditionBuilder

Inheritance | yii\db\conditions\LikeConditionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Subclasses | yii\db\cubrid\conditions\LikeConditionBuilder, yii\db\mssql\conditions\LikeConditionBuilder, yii\db\oci\conditions\LikeConditionBuilder, yii\db\sqlite\conditions\LikeConditionBuilder
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/LikeConditionBuilder.php

Class LikeConditionBuilder builds objects of yii\db\conditions\LikeCondition

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$escapeCharacter | string|null | Character used to escape special characters in LIKE conditions. | yii\db\conditions\LikeConditionBuilder
$escapingReplacements | array | Map of chars to their replacements in LIKE conditions. | yii\db\conditions\LikeConditionBuilder
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\conditions\LikeConditionBuilder

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
parseOperator() |  | yii\db\conditions\LikeConditionBuilder

## Property Details

$escapeCharacter protected property

Character used to escape special characters in LIKE conditions. By default it's assumed to be `\`.

protected string|null $escapeCharacter = null
$escapingReplacements protected property

Map of chars to their replacements in LIKE conditions. By default it's configured to escape `%`, `_` and `\` with `\`.

protected array $escapingReplacements = ['%' => '\%', '_' => '\_', '\\' => '\\\\']

## Method Details

build() public method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface|yii\db\conditions\LikeCondition | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.

parseOperator() protected method

protected array parseOperator ( $operator )
$operator | string |